Index: extensions/AMetaData/JpegMetaData/Locale/en_UK/Tag.po
===================================================================
--- extensions/AMetaData/JpegMetaData/Locale/en_UK/Tag.po	(revision 7511)
+++ extensions/AMetaData/JpegMetaData/Locale/en_UK/Tag.po	(revision 7512)
@@ -3,5 +3,5 @@
 "Project-Id-Version: TagNames\n"
 "POT-Creation-Date: \n"
-"PO-Revision-Date: 2010-10-31 01:25+0100\n"
+"PO-Revision-Date: 2010-10-31 12:41+0100\n"
 "Last-Translator: grum <grum@piwigo.org>\n"
 "Language-Team: grum\n"
@@ -6444,2 +6444,6 @@
 msgstr "Subject Reference (Number)"
 
+#. [Metadata name] COM tags / 'comment'
+msgid "comment"
+msgstr "Comment"
+
Index: extensions/AMetaData/JpegMetaData/Locale/fr_FR/Tag.po
===================================================================
--- extensions/AMetaData/JpegMetaData/Locale/fr_FR/Tag.po	(revision 7511)
+++ extensions/AMetaData/JpegMetaData/Locale/fr_FR/Tag.po	(revision 7512)
@@ -3,5 +3,5 @@
 "Project-Id-Version: TagNames\n"
 "POT-Creation-Date: \n"
-"PO-Revision-Date: 2010-10-31 01:13+0100\n"
+"PO-Revision-Date: 2010-10-31 13:10+0100\n"
 "Last-Translator: grum <grum@piwigo.org>\n"
 "Language-Team: grum\n"
@@ -14,5 +14,4 @@
 
 #. Exif GPS tags / 0x000a (GPSMeasureMode)
-#, fuzzy
 msgid "2-dimensional measurement"
 msgstr "Mesure à 2 dimensions"
@@ -35,5 +34,4 @@
 
 #. Exif GPS tags / 0x000a (GPSMeasureMode)
-#, fuzzy
 msgid "3-dimensional measurement"
 msgstr "Mesure à 3 dimensions"
@@ -262,5 +260,4 @@
 
 #. [Metadata name] IPTC tags / 0x0296 (Audio Type)
-#, fuzzy
 msgid "Audio Type"
 msgstr "Type audio"
@@ -319,5 +316,4 @@
 
 #. Pentax specific tags / 0x001a (WhiteBalanceMode)
-#, fuzzy
 msgid "Auto (DaywhiteFluorescent)"
 msgstr "Automatique (Néon - Lumière blanche du jour)"
@@ -454,5 +450,4 @@
 
 #. [Metadata name] Nikon specific tags / 0x0082 (AuxiliaryLens)
-#, fuzzy
 msgid "AuxiliaryLens"
 msgstr "Objectif auxiliaire"
@@ -519,5 +514,4 @@
 
 #. Exif & Tiff tags / 0x0106 (PhotometricInterpretation)
-#, fuzzy
 msgid "BlackIsZero"
 msgstr "Le noir est le zéro"
@@ -532,10 +526,8 @@
 
 #. Pentax specific tags / 0x000b (PictureMode)
-#, fuzzy
 msgid "Blur Reduction"
 msgstr "Réduction du flou"
 
 #. IPTC tags / 0x024b (Object Cycle)
-#, fuzzy
 msgid "both"
 msgstr "Les deux"
@@ -584,10 +576,8 @@
 
 #. Pentax specific tags / 0x0033 (PictureMode)
-#, fuzzy
 msgid "Bulb (Off-Auto-Aperture)"
 msgstr "Ampoule (Ouverture automatique OFF)"
 
 #. Pentax specific tags / 0x0034 (DriveMode)
-#, fuzzy
 msgid "Burst"
 msgstr "Rapide"
@@ -599,5 +589,4 @@
 #. [Metadata name] XMP tags / photoshop:AuthorsPosition (By-line Title)
 #. [Metadata name] IPTC tags / 0x0255 (By-line Title)
-#, fuzzy
 msgid "By-line Title"
 msgstr "Métier du photographe"
@@ -618,5 +607,4 @@
 
 #. [Metadata name] Magic JpegMetadata computed tags / Camera.Make
-#, fuzzy
 msgid "Camera.Make"
 msgstr "Marque"
@@ -654,5 +642,4 @@
 #. [Metadata name] Canon specific tags / 0x000d.40D.48 (CanonCameraInfo.CameraOrientation)
 #. [Metadata name] Canon specific tags / 0x000d.1DMarkIV.53 (CanonCameraInfo.CameraOrientation)
-#, fuzzy
 msgid "CanonCameraInfo.CameraOrientation"
 msgstr "Orientation de l'appareil"
@@ -913,5 +900,4 @@
 
 #. [Metadata name] Canon specific tags / 0x00b0 (CanonFlags)
-#, fuzzy
 msgid "CanonFlags"
 msgstr "Drapeaux"
@@ -962,10 +948,8 @@
 
 #. [Metadata name] Canon specific tags / 0x0004.2 (CanonShotInfo.BaseISO)
-#, fuzzy
 msgid "CanonShotInfo.BaseISO"
 msgstr "Base ISO"
 
 #. [Metadata name] Canon specific tags / 0x0004.24 (CanonShotInfo.BulbDuration)
-#, fuzzy
 msgid "CanonShotInfo.BulbDuration"
 msgstr "Durée de l'ampoule"
@@ -996,5 +980,4 @@
 
 #. [Metadata name] Canon specific tags / 0x0004.33 (CanonShotInfo.FlashOutput)
-#, fuzzy
 msgid "CanonShotInfo.FlashOutput"
 msgstr "Sortie du flash"
@@ -1021,10 +1004,8 @@
 
 #. [Metadata name] Canon specific tags / 0x0004.28 (CanonShotInfo.NDFilter)
-#, fuzzy
 msgid "CanonShotInfo.NDFilter"
 msgstr "Filtre"
 
 #. [Metadata name] Canon specific tags / 0x0004.10 (CanonShotInfo.OpticalZoomCode)
-#, fuzzy
 msgid "CanonShotInfo.OpticalZoomCode"
 msgstr "Codification du zoom optique"
@@ -1182,15 +1163,12 @@
 
 #. Canon specific tags / 0x0001.11 (CanonCameraSettings.EasyMode)
-#, fuzzy
 msgid "Color Accent"
 msgstr "Touches de couleur"
 
 #. Pentax specific tags / 0x0032 (ImageProcessing)
-#, fuzzy
 msgid "Color Filter"
 msgstr "Filtre de couleur"
 
 #. Exif & Tiff tags / 0x0106 (PhotometricInterpretation)
-#, fuzzy
 msgid "Color Filter Array"
 msgstr "Tableau de filtre de couleur"
@@ -1205,5 +1183,4 @@
 
 #. Canon specific tags / 0x0001.11 (CanonCameraSettings.EasyMode)
-#, fuzzy
 msgid "Color Swap"
 msgstr "Remplacement de couleur"
@@ -1215,10 +1192,8 @@
 
 #. [Metadata name] Nikon specific tags / 0x0014 (ColorBalanceA)
-#, fuzzy
 msgid "ColorBalanceA"
 msgstr "Balance des couleurs A"
 
 #. [Metadata name] Canon specific tags / 0x4001 (ColorData)
-#, fuzzy
 msgid "ColorData"
 msgstr "Informations couleurs"
@@ -1230,20 +1205,16 @@
 #. [Metadata name] Pentax specific tags / 0x0222 (ColorInfo)
 #. [Metadata name] Canon specific tags / 0x4003 (ColorInfo)
-#, fuzzy
 msgid "ColorInfo"
 msgstr "Informations couleurs"
 
 #. [Metadata name] Pentax specific tags / 0x0203 (ColorMatrixA)
-#, fuzzy
 msgid "ColorMatrixA"
 msgstr "Matrice de couleurs A"
 
 #. [Metadata name] Pentax specific tags / 0x0204 (ColorMatrixB)
-#, fuzzy
 msgid "ColorMatrixB"
 msgstr "Matrice de couleurs B"
 
 #. [Metadata name] Nikon specific tags / 0x0003 (ColorMode)
-#, fuzzy
 msgid "ColorMode"
 msgstr "Mode de couleur"
@@ -1308,5 +1279,4 @@
 
 #. [Metadata name] IPTC tags / 0x090a (Confirmed ObjectData Size)
-#, fuzzy
 msgid "Confirmed ObjectData Size"
 msgstr "Taille confirmée des objets de données"
@@ -1407,5 +1377,4 @@
 
 #. Canon specific tags / 0x0001.11 (CanonCameraSettings.EasyMode)
-#, fuzzy
 msgid "Creative Auto"
 msgstr "Creatif automatique"
@@ -1442,5 +1411,4 @@
 
 #. [Metadata name] XMP tags / crs:AutoShadows
-#, fuzzy
 msgid "crs:AutoShadows"
 msgstr "Ombres automatiques"
@@ -1475,5 +1443,4 @@
 
 #. [Metadata name] XMP tags / crs:ColorNoiseReduction
-#, fuzzy
 msgid "crs:ColorNoiseReduction"
 msgstr "Réduction du bruit coloré"
@@ -1851,5 +1818,4 @@
 
 #. [Metadata name] Pentax specific tags / 0x0026 (DestinationDST)
-#, fuzzy
 msgid "DestinationDST"
 msgstr "Destination DST"
@@ -1994,10 +1960,8 @@
 
 #. [Metadata name] Pentax specific tags / 0x002d (EffectiveLV)
-#, fuzzy
 msgid "EffectiveLV"
 msgstr "LV Effectif"
 
 #. [Metadata name] IPTC tags / 0x0128 (Envelope Number)
-#, fuzzy
 msgid "Envelope Number"
 msgstr "Numéro de l'enveloppe"
@@ -2092,5 +2056,4 @@
 
 #. [Metadata name] XMP tags / exif:ExposureBiasValue
-#, fuzzy
 msgid "exif:ExposureBiasValue"
 msgstr "Valeur d'exposition biaisée"
@@ -2145,5 +2108,4 @@
 
 #. [Metadata name] XMP tags / exif:FocalPlaneResolutionUnit
-#, fuzzy
 msgid "exif:FocalPlaneResolutionUnit"
 msgstr "Unité de résolution du plan"
@@ -2271,5 +2233,4 @@
 #. [Metadata name] XMP tags / exif:ImageUniqueID
 #. [Metadata name] XMP tags / exif:ISOSpeedRatings
-#, fuzzy
 msgid "exif:ISOSpeedRatings"
 msgstr "Taux de la vitesse ISO"
@@ -2348,5 +2309,4 @@
 
 #. [Metadata name] XMP tags / exif:SubjectArea
-#, fuzzy
 msgid "exif:SubjectArea"
 msgstr "Zone du sujet"
@@ -2395,5 +2355,4 @@
 #. [Metadata name] Exif & Tiff tags / 0x9204 (ExposureBiasValue)
 #. [Metadata name] XMP tags / exif:ExposureBiasValue (ExposureBiasValue)
-#, fuzzy
 msgid "ExposureBiasValue"
 msgstr "Valeur d'exposition biaisée"
@@ -2463,5 +2422,4 @@
 
 #. Pentax specific tags / 0x000c (Flash)
-#, fuzzy
 msgid "external, contrast-control sync"
 msgstr "Externe, synchronisation contrôlée des contrastes"
@@ -2673,10 +2631,8 @@
 
 #. Pentax specific tags / 0x0033 (PictureMode)
-#, fuzzy
 msgid "Flash X-Sync Speed AE, 1/2 EV steps"
 msgstr "AE flash en synchro X, pas de 1/2 EV"
 
 #. Pentax specific tags / 0x0033 (PictureMode)
-#, fuzzy
 msgid "Flash X-Sync Speed AE, 1/3 EV steps"
 msgstr "AE flash en synchro X, pas de 1/3 EV"
@@ -2691,5 +2647,4 @@
 
 #. [Metadata name] Nikon specific tags / 0x0018 (FlashExposureBracketValue)
-#, fuzzy
 msgid "FlashExposureBracketValue"
 msgstr "Bracketing de l'exposition du flash"
@@ -2697,5 +2652,4 @@
 #. [Metadata name] Nikon specific tags / 0x0012 (FlashExposureComp)
 #. [Metadata name] Nikon specific tags / 0x0017 (FlashExposureComp)
-#, fuzzy
 msgid "FlashExposureComp"
 msgstr "Compensation de l'exposition du flash"
@@ -2797,10 +2751,8 @@
 
 #. Pentax specific tags / 0x000b (PictureMode)
-#, fuzzy
 msgid "Frame Composite"
 msgstr "Cadre en composite"
 
 #. Pentax specific tags / 0x0032 (ImageProcessing)
-#, fuzzy
 msgid "Frame Synthesis?"
 msgstr "Cadre de synthèse"
@@ -2819,5 +2771,4 @@
 
 #. [Metadata name] Exif & Tiff tags / 0x0120 (FreeOffsets)
-#, fuzzy
 msgid "FreeOffsets"
 msgstr "Emplacement libres"
@@ -2843,5 +2794,4 @@
 #. [Metadata name] Exif & Tiff tags / 0xa407 (GainControl)
 #. [Metadata name] XMP tags / exif:GainControl (GainControl)
-#, fuzzy
 msgid "GainControl"
 msgstr "Contrôle du gain"
@@ -2877,5 +2827,5 @@
 #. [Metadata name] Magic JpegMetadata computed tags / GPS.Localization
 msgid "GPS.Localization"
-msgstr "Localization"
+msgstr "Localisation"
 
 #. [Metadata name] Magic JpegMetadata computed tags / GPS.Longitude
@@ -2980,5 +2930,4 @@
 #. [Metadata name] Exif GPS tags / 0x0012 (GPSMapDatum)
 #. [Metadata name] XMP tags / exif:GPSMapDatum (GPSMapDatum)
-#, fuzzy
 msgid "GPSMapDatum"
 msgstr "Données de relevé géodésique"
@@ -3020,5 +2969,4 @@
 #. [Metadata name] Exif GPS tags / 0x000f (GPSTrack)
 #. [Metadata name] XMP tags / exif:GPSTrack (GPSTrack)
-#, fuzzy
 msgid "GPSTrack"
 msgstr "Piste"
@@ -3070,5 +3018,4 @@
 
 #. Pentax specific tags / 0x000b (PictureMode)
-#, fuzzy
 msgid "Half-length Portrait"
 msgstr "Demi-portrait en pied"
@@ -3117,10 +3064,8 @@
 
 #. Exif & Tiff tags / 0xa407 (GainControl)
-#, fuzzy
 msgid "high gain down"
 msgstr "Gain élevé à"
 
 #. Exif & Tiff tags / 0xa407 (GainControl)
-#, fuzzy
 msgid "high gain up"
 msgstr "Gain élevé jusqu'à"
@@ -3163,5 +3108,4 @@
 
 #. [Metadata name] Pentax specific tags / 0x0025 (HometownDST)
-#, fuzzy
 msgid "HometownDST"
 msgstr "Ville de résidence (DST)"
@@ -3396,5 +3340,4 @@
 
 #. [Metadata name] XMP tags / Iptc4xmpCore:IntellectualGenre
-#, fuzzy
 msgid "Iptc4xmpCore:IntellectualGenre"
 msgstr "Référence d'attribut de l'objet / Genre"
@@ -3434,15 +3377,12 @@
 
 #. [Metadata name] Nikon specific tags / 0x0025 (ISOInfo)
-#, fuzzy
 msgid "ISOInfo"
 msgstr "Informations sur la sensibilité"
 
 #. [Metadata name] Nikon specific tags / 0x000f (ISOSelection)
-#, fuzzy
 msgid "ISOSelection"
 msgstr "Sélection de l'ISO"
 
 #. [Metadata name] Nikon specific tags / 0x0013 (ISOSetting)
-#, fuzzy
 msgid "ISOSetting"
 msgstr "Configuration de l'ISO"
@@ -3450,5 +3390,4 @@
 #. [Metadata name] XMP tags / exif:ISOSpeedRatings (ISOSpeedRatings)
 #. [Metadata name] Exif & Tiff tags / 0x8827 (ISOSpeedRatings)
-#, fuzzy
 msgid "ISOSpeedRatings"
 msgstr "Taux de la vitesse ISO"
@@ -3699,5 +3638,4 @@
 
 #. Canon specific tags / 0x0001.11 (CanonCameraSettings.EasyMode)
-#, fuzzy
 msgid "Long Shutter"
 msgstr "Obturation longue"
@@ -3859,10 +3797,8 @@
 
 #. [Metadata name] Nikon specific tags / 0x0085 (ManualFocusDistance)
-#, fuzzy
 msgid "ManualFocusDistance"
 msgstr "Réglage manuel de la distance de mise au point"
 
 #. [Metadata name] IPTC tags / 0x0714 (Max Subfile Size)
-#, fuzzy
 msgid "Max Subfile Size"
 msgstr "Poids maximum du sous-fichier"
@@ -3874,5 +3810,4 @@
 
 #. [Metadata name] IPTC tags / 0x075f (Maximum ObjectData Size)
-#, fuzzy
 msgid "Maximum ObjectData Size"
 msgstr "Poids maximum de l'objet"
@@ -3883,5 +3818,4 @@
 
 #. [Metadata name] Canon specific tags / 0x00aa (MeasuredColor)
-#, fuzzy
 msgid "MeasuredColor"
 msgstr "Couleur mesurée"
@@ -3900,5 +3834,4 @@
 
 #. Pentax specific tags / 0x0021 (Sharpness)
-#, fuzzy
 msgid "Med Hard"
 msgstr "Dur (Moyen)"
@@ -3906,5 +3839,4 @@
 #. Pentax specific tags / 0x0020 (Contrast)
 #. Pentax specific tags / 0x001f (Saturation)
-#, fuzzy
 msgid "Med High"
 msgstr "Elevé (Moyen)"
@@ -3912,10 +3844,8 @@
 #. Pentax specific tags / 0x0020 (Contrast)
 #. Pentax specific tags / 0x001f (Saturation)
-#, fuzzy
 msgid "Med Low"
 msgstr "Bas (Moyen)"
 
 #. Pentax specific tags / 0x0021 (Sharpness)
-#, fuzzy
 msgid "Med Soft"
 msgstr "Doux (Moyen)"
@@ -3947,5 +3877,4 @@
 
 #. Pentax specific tags / 0x000b (PictureMode)
-#, fuzzy
 msgid "Medium Pet"
 msgstr "Animaux de compagnie"
@@ -4069,10 +3998,8 @@
 #. Pentax specific tags / 0x0033 (PictureMode)
 #. Pentax specific tags / 0x0033 (PictureMode)
-#, fuzzy
 msgid "MTF Program"
 msgstr "Programme MTF"
 
 #. Pentax specific tags / 0x0017 (MeteringMode)
-#, fuzzy
 msgid "Multi Segment"
 msgstr "Multi segment"
@@ -4087,5 +4014,4 @@
 
 #. Exif & Tiff tags / 0x9207 (MeteringMode)
-#, fuzzy
 msgid "multispot"
 msgstr "Points multiples"
@@ -4134,5 +4060,4 @@
 
 #. Pentax specific tags / 0x000b (PictureMode)
-#, fuzzy
 msgid "Natural Skin Tone"
 msgstr "Ton naturel de la peau"
@@ -4144,5 +4069,4 @@
 
 #. [Metadata name] Nikon specific tags / 0x0093 (NEFCompression)
-#, fuzzy
 msgid "NEFCompression"
 msgstr "Compression NEF"
@@ -4208,10 +4132,8 @@
 
 #. [Metadata name] Nikon specific tags / 0x0e1e (NikonCaptureOutput)
-#, fuzzy
 msgid "NikonCaptureOutput"
 msgstr "Capture des sorties"
 
 #. [Metadata name] Nikon specific tags / 0x0e09 (NikonCaptureVersion)
-#, fuzzy
 msgid "NikonCaptureVersion"
 msgstr "Capture version"
@@ -4257,5 +4179,4 @@
 
 #. IPTC tags / 0x0114 (File Format)
-#, fuzzy
 msgid "No ObjectData"
 msgstr "Pas de données pour l'objet"
@@ -4370,5 +4291,4 @@
 
 #. [Metadata name] IPTC tags / 0x024b (Object Cycle)
-#, fuzzy
 msgid "Object Cycle"
 msgstr "Cycle"
@@ -4397,5 +4317,4 @@
 
 #. [Metadata name] IPTC tags / 0x075a (ObjectData Size Announced)
-#, fuzzy
 msgid "ObjectData Size Announced"
 msgstr "Poids déclaré"
@@ -4446,5 +4365,4 @@
 
 #. [Metadata name] Exif & Tiff tags / 0x00ff (OldSubfileType)
-#, fuzzy
 msgid "OldSubfileType"
 msgstr "Ancien type de sous-fichier"
@@ -4509,5 +4427,4 @@
 
 #. Canon specific tags / 0x0001.34 (CanonCameraSettings.ImageStabilization)
-#, fuzzy
 msgid "On, Shot Only"
 msgstr "Activé, cliché uniquement"
@@ -4526,5 +4443,4 @@
 
 #. Pentax specific tags / 0x000c (Flash)
-#, fuzzy
 msgid "on, trailing-curtain sync"
 msgstr "Activé, synchronisation au second rideau"
@@ -4539,10 +4455,8 @@
 
 #. Exif & Tiff tags / 0xa217 (SensingMethod)
-#, fuzzy
 msgid "one-chip color area sensor"
 msgstr "Capteur couleur, une puce"
 
 #. Canon specific tags / 0x0001.7 (CanonCameraSettings.FocusMode)
-#, fuzzy
 msgid "One-shot AF"
 msgstr "AF sur cliché"
@@ -4666,5 +4580,4 @@
 
 #. XMP tags / Iptc4xmpCore:Scene
-#, fuzzy
 msgid "performing"
 msgstr "De la scène"
@@ -4706,5 +4619,4 @@
 
 #. [Metadata name] XMP tags / photoshop:CaptionWriter
-#, fuzzy
 msgid "photoshop:CaptionWriter"
 msgstr "Rédacteur"
@@ -4723,5 +4635,4 @@
 
 #. [Metadata name] XMP tags / photoshop:ColorMode
-#, fuzzy
 msgid "photoshop:ColorMode"
 msgstr "Mode de couleur"
@@ -4799,5 +4710,4 @@
 #. [Metadata name] XMP tags / exif:PixelXDimension (PixelXDimension)
 #. [Metadata name] Exif & Tiff tags / 0xa002 (PixelXDimension)
-#, fuzzy
 msgid "PixelXDimension"
 msgstr "Dimensions X du pixel"
@@ -4805,5 +4715,4 @@
 #. [Metadata name] XMP tags / exif:PixelYDimension (PixelYDimension)
 #. [Metadata name] Exif & Tiff tags / 0xa003 (PixelYDimension)
-#, fuzzy
 msgid "PixelYDimension"
 msgstr "Dimensions Y du pixel"
@@ -4853,5 +4762,4 @@
 
 #. Pentax specific tags / 0x0008 (Quality)
-#, fuzzy
 msgid "Premium"
 msgstr "Super"
@@ -4863,5 +4771,4 @@
 
 #. [Metadata name] Pentax specific tags / 0x003e (PreviewImageBorders)
-#, fuzzy
 msgid "PreviewImageBorders"
 msgstr "Frontières de l'aperçu de l'image"
@@ -4940,10 +4847,8 @@
 
 #. Pentax specific tags / 0x0033 (PictureMode)
-#, fuzzy
 msgid "Program Av Shift"
 msgstr "Programme Av"
 
 #. Pentax specific tags / 0x0033 (PictureMode)
-#, fuzzy
 msgid "Program Tv Shift"
 msgstr "Programme Tv"
@@ -5160,5 +5065,4 @@
 
 #. [Metadata name] Exif & Tiff tags / 0x0116 (RowsPerStrip)
-#, fuzzy
 msgid "RowsPerStrip"
 msgstr "Lignes par bande"
@@ -5201,5 +5105,4 @@
 
 #. [Metadata name] Nikon specific tags / 0x009c (SceneAssist)
-#, fuzzy
 msgid "SceneAssist"
 msgstr "Assistance de la scène"
@@ -5249,10 +5152,8 @@
 
 #. Pentax specific tags / 0x0033 (PictureMode)
-#, fuzzy
 msgid "Sensitivity Priority AE, 1/2 EV steps"
 msgstr "AE priorité à la sensibilité, pas de 1/2 EV"
 
 #. Pentax specific tags / 0x0033 (PictureMode)
-#, fuzzy
 msgid "Sensitivity Priority AE, 1/3 EV steps"
 msgstr "AE priorité à la sensibilité, pas de 1/3 EV"
@@ -5267,5 +5168,4 @@
 
 #. [Metadata name] Nikon specific tags / 0x009a (SensorPixelSize)
-#, fuzzy
 msgid "SensorPixelSize"
 msgstr "Taille des pixels du capteur"
@@ -5380,10 +5280,8 @@
 
 #. Pentax specific tags / 0x0033 (PictureMode)
-#, fuzzy
 msgid "Shutter & Aperture Priority AE, 1/2 EV steps"
 msgstr "AE priorité à l'ouverture et à la vitesse, pas de 1/2 EV"
 
 #. Pentax specific tags / 0x0033 (PictureMode)
-#, fuzzy
 msgid "Shutter & Aperture Priority AE, 1/3 EV steps"
 msgstr "AE priorité à l'ouverture et à la vitesse, pas de 1/3 EV"
@@ -5391,5 +5289,4 @@
 #. Pentax specific tags / 0x0033 (PictureMode)
 #. Exif & Tiff tags / 0x8822 (ExposureProgram)
-#, fuzzy
 msgid "shutter priority"
 msgstr "Priorité à la vitesse"
@@ -5402,5 +5299,4 @@
 
 #. Canon specific tags / 0x0001.20 (CanonCameraSettings.CanonExposureMode)
-#, fuzzy
 msgid "Shutter speed priority AE"
 msgstr "AE priorité à la vitesse"
@@ -5413,5 +5309,4 @@
 #. [Metadata name] XMP tags / exif:ShutterSpeedValue (ShutterSpeedValue)
 #. [Metadata name] Exif & Tiff tags / 0x9201 (ShutterSpeedValue)
-#, fuzzy
 msgid "ShutterSpeedValue"
 msgstr "Temps d'exposition"
@@ -5438,5 +5333,4 @@
 
 #. Nikon specific tags / 0x0089 (ShootingMode)
-#, fuzzy
 msgid "Single frame"
 msgstr "Photo unique"
@@ -5444,5 +5338,4 @@
 #. Exif & Tiff tags / 0x00fe (SubfileType)
 #. Exif & Tiff tags / 0x00ff (OldSubfileType)
-#, fuzzy
 msgid "single page of multi-page image"
 msgstr "Page unique d'une photo multi-pages"
@@ -5465,5 +5358,4 @@
 
 #. Canon specific tags / 0x0001.11 (CanonCameraSettings.EasyMode)
-#, fuzzy
 msgid "Slow shutter"
 msgstr "Obturation lente"
@@ -5482,5 +5374,4 @@
 
 #. Canon specific tags / 0x0001.40 (CanonCameraSettings.PhotoEffect)
-#, fuzzy
 msgid "Smooth"
 msgstr "Lisse"
@@ -5515,5 +5406,4 @@
 #. [Metadata name] Exif & Tiff tags / 0xa20c (SpatialFrequencyResponse)
 #. [Metadata name] XMP tags / exif:SpatialFrequencyResponse (SpatialFrequencyResponse)
-#, fuzzy
 msgid "SpatialFrequencyResponse"
 msgstr "Réponse en fréquence spatiale"
@@ -5582,5 +5472,4 @@
 
 #. Canon specific tags / 0x0001.11 (CanonCameraSettings.EasyMode)
-#, fuzzy
 msgid "Still Image"
 msgstr "Photo tranquille"
@@ -5592,10 +5481,8 @@
 
 #. [Metadata name] Exif & Tiff tags / 0x0117 (StripByteCounts)
-#, fuzzy
 msgid "StripByteCounts"
 msgstr "Octets par bande"
 
 #. [Metadata name] Exif & Tiff tags / 0x0111 (StripOffsets)
-#, fuzzy
 msgid "StripOffsets"
 msgstr "Compensations des bandes"
@@ -5603,5 +5490,4 @@
 #. Exif & Tiff tags / 0x9209 (Flash)
 #. XMP tags / exif:Return
-#, fuzzy
 msgid "strobe return light detected"
 msgstr "Avec retour de lumière stroboscopique"
@@ -5609,5 +5495,4 @@
 #. Exif & Tiff tags / 0x9209 (Flash)
 #. XMP tags / exif:Return
-#, fuzzy
 msgid "strobe return light not detected"
 msgstr "Sans retour de lumière stroboscopique"
@@ -5622,10 +5507,8 @@
 
 #. [Metadata name] IPTC tags / 0x080a (Subfile)
-#, fuzzy
 msgid "Subfile"
 msgstr "Sous fichier"
 
 #. [Metadata name] Exif & Tiff tags / 0x00fe (SubfileType)
-#, fuzzy
 msgid "SubfileType"
 msgstr "Type de sous fichier"
@@ -5633,5 +5516,4 @@
 #. [Metadata name] XMP tags / Iptc4xmpCore:SubjectCode (Subject Reference)
 #. [Metadata name] IPTC tags / 0x020c (Subject Reference)
-#, fuzzy
 msgid "Subject Reference"
 msgstr "Sujet de référence"
@@ -5639,5 +5521,4 @@
 #. [Metadata name] Exif & Tiff tags / 0x9214 (SubjectArea)
 #. [Metadata name] XMP tags / exif:SubjectArea (SubjectArea)
-#, fuzzy
 msgid "SubjectArea"
 msgstr "Zone du sujet"
@@ -5660,7 +5541,6 @@
 #. [Metadata name] XMP tags / Iptc4xmpCore:Location (Sublocation)
 #. [Metadata name] IPTC tags / 0x025c (Sublocation)
-#, fuzzy
 msgid "Sublocation"
-msgstr ""
+msgstr "Sous-emplacement"
 
 #. [Metadata name] Exif & Tiff tags / 0x9290 (SubsecTime)
@@ -5691,5 +5571,4 @@
 
 #. Canon specific tags / 0x0001.3 (CanonCameraSettings.Quality)
-#, fuzzy
 msgid "Superfine"
 msgstr "Très précis"
@@ -5765,5 +5644,4 @@
 
 #. Exif & Tiff tags / 0xa217 (SensingMethod)
-#, fuzzy
 msgid "three-chip color area sensor"
 msgstr "Capteur couleur, trois puces"
@@ -5939,5 +5817,4 @@
 
 #. [Metadata name] Nikon specific tags / 0x00b3 (ToningEffect)
-#, fuzzy
 msgid "ToningEffect"
 msgstr "Effet tonifiant"
@@ -6106,5 +5983,4 @@
 
 #. Nikon specific tags / 0x0089 (ShootingMode)
-#, fuzzy
 msgid "Unused LE-NR Slowdown"
 msgstr "Ralentissement LE-NR inutilisés"
@@ -6175,5 +6051,4 @@
 
 #. Pentax specific tags / 0x004f (ImageTone)
-#, fuzzy
 msgid "Vibrant"
 msgstr "Vibrant"
@@ -6324,10 +6199,8 @@
 
 #. [Metadata name] Nikon specific tags / 0x0024 (WorldTime)
-#, fuzzy
 msgid "WorldTime"
 msgstr "Heure du monde"
 
 #. [Metadata name] Pentax specific tags / 0x0022 (WorldTimeLocation)
-#, fuzzy
 msgid "WorldTimeLocation"
 msgstr "Lieu du monde"
@@ -6363,5 +6236,4 @@
 
 #. [Metadata name] XMP tags / xmp:MetadataDate
-#, fuzzy
 msgid "xmp:MetadataDate"
 msgstr "Date des métadonnée"
@@ -6384,5 +6256,4 @@
 
 #. [Metadata name] XMP tags / xmpBJ:JobRef
-#, fuzzy
 msgid "xmpBJ:JobRef"
 msgstr "Référence de l'annonce"
@@ -6401,5 +6272,4 @@
 
 #. [Metadata name] XMP tags / xmpMM:InstanceID
-#, fuzzy
 msgid "xmpMM:InstanceID"
 msgstr "ID de la demande"
@@ -6414,5 +6284,4 @@
 
 #. [Metadata name] XMP tags / xmpMM:Manager
-#, fuzzy
 msgid "xmpMM:Manager"
 msgstr "Directeur"
@@ -6424,5 +6293,4 @@
 
 #. [Metadata name] XMP tags / xmpMM:ManageTo
-#, fuzzy
 msgid "xmpMM:ManageTo"
 msgstr "Gérer"
@@ -6434,15 +6302,12 @@
 
 #. [Metadata name] XMP tags / xmpMM:RenditionClass
-#, fuzzy
 msgid "xmpMM:RenditionClass"
 msgstr "Classe d'interprétation"
 
 #. [Metadata name] XMP tags / xmpMM:RenditionParams
-#, fuzzy
 msgid "xmpMM:RenditionParams"
 msgstr "Paramètre d'interprétation"
 
 #. [Metadata name] XMP tags / xmpMM:VersionID
-#, fuzzy
 msgid "xmpMM:VersionID"
 msgstr "ID de la version"
@@ -6461,5 +6326,4 @@
 
 #. [Metadata name] XMP tags / xmpRights:Marked
-#, fuzzy
 msgid "xmpRights:Marked"
 msgstr "Marqué"
@@ -6474,5 +6338,4 @@
 
 #. [Metadata name] XMP tags / xmpRights:WebStatement
-#, fuzzy
 msgid "xmpRights:WebStatement"
 msgstr "Déclaration Web"
@@ -6495,5 +6358,4 @@
 
 #. [Metadata name] XMP tags / xmpTPg:PlateNames
-#, fuzzy
 msgid "xmpTPg:PlateNames"
 msgstr "Plate names"
@@ -6593,2 +6455,6 @@
 msgstr "Sujet de référence (numéro)"
 
+#. [Metadata name] COM tags / 'comment'
+msgid "comment"
+msgstr "Commentaire"
+