Index: trunk/language/hu_HU/help/cat_move.html
===================================================================
--- trunk/language/hu_HU/help/cat_move.html	(revision 7515)
+++ trunk/language/hu_HU/help/cat_move.html	(revision 7516)
@@ -1,14 +1,14 @@
-<h2>Virtuális kategóriák áthelyezése</h2>
+<h2>Virtuális albumok áthelyezése</h2>
 
-<p>Megváltoztatható egy virtuális kategória szülő kategóriája.</p>
+<p>Megváltoztatható egy virtuális album szülő albuma.</p>
 
-<h3>Virtuális kategóriák mozgatása</h3>
+<h3>Virtuális albumok mozgatása</h3>
 
-<p>Válasszon ki egy vagy több virtuális kategóriát áthelyezésre. 
-Ha a lista üres, nem hozott létre egyetlen kategóriát sem.</p>
+<p>Válasszon ki egy vagy több virtuális albumot áthelyezésre. 
+Ha a lista üres, nem hozott létre egyetlen albumot sem.</p>
 
-<h3>Új szülő kategória</h3>
+<h3>Új szülő album</h3>
 
-<p>Válassza ki az új szülő kategóriát (virtuális vagy fizikai). 
-Ha nem választ ki szülő kategóriát, akkor a kategóriát a gyökérbe mozgatja.
-Nem mozgathatja a kategóriát önmagára, vagy valamelyik gyermek kategóriára.</p>
+<p>Válassza ki az új szülő albumot (virtuális vagy fizikai). 
+Ha nem választ ki szülő albumot, akkor az albumot a gyökérbe mozgatja.
+Nem mozgathatja az albumot önmagára, vagy valamelyik gyermek albumra.</p>
Index: trunk/language/hu_HU/help/cat_options.html
===================================================================
--- trunk/language/hu_HU/help/cat_options.html	(revision 7515)
+++ trunk/language/hu_HU/help/cat_options.html	(revision 7516)
@@ -1,27 +1,27 @@
-<h2>Kategória tulajdonságok</h2>
+<h2>Album tulajdonságok</h2>
 
-<p>Ezen az oldalon lehetősége van az adminisztrátoroknak a kategóriák kezelésére. 
-Számos lehetőség áll rendelkezésére, kezelhet akár több kategóriát is egyszerre.</p>
+<p>Ezen az oldalon lehetősége van az adminisztrátoroknak az albumok kezelésére. 
+Számos lehetőség áll rendelkezésére, kezelhet akár több albumot is egyszerre.</p>
 
 <dl>
 
   <dt>Feltöltés</dt>
-  <dd>Kezelheti mely kategóriákba engedélyezi látogatóinak a feltöltést. Csak nem virtuális és nem távoli kategóriák esetén.</add>
+  <dd>Kezelheti mely albumokba engedélyezi látogatóinak a feltöltést. Csak nem virtuális és nem távoli albumok esetén.</add>
 
   <dt>Hozzászólások</dt>
-  <dd>Eldöntheti mely kategóriákhoz engedélyez hozzászólásokat.
-Válassza ki azokat a kategóriákat, melyekhez engedélyezni kívánja a hozzászólásokat. 
-Az engedélyezett kategóriák képei alatt elérhetővé válik a hozzászólás űrlap.</dd>
+  <dd>Eldöntheti mely albumokhoz engedélyez hozzászólásokat.
+Válassza ki azokat az albumokat, melyekhez engedélyezni kívánja a hozzászólásokat. 
+Az engedélyezett albumok képei alatt elérhetővé válik a hozzászólás űrlap.</dd>
 
   <dt>Lezárás</dt>
-  <dd>Lehetősége van a kategóriák ideiglenes zárolására. 
-  Ha zárol egy kategóriát, annak gyermek kategóriái is zárolva lesznek. 
-  Ha feloldja egy kategória zárolását, annak szülő kategóriája is feloldásra kerül.</dd>
+  <dd>Lehetősége van az albumok ideiglenes zárolására. 
+  Ha zárol egy albumot, annak gyermek albumai is zárolva lesznek. 
+  Ha feloldja egy album zárolását, annak szülő albuma is feloldásra kerül.</dd>
 
   <dt>Nyilvános / Privát</dt>
-  <dd>Kezelheti a kiválasztott kategóriákhoz tartozó engedélyeket. 
-  Kiválaszthatja a privát kategóriákat : összefüggésben van a látogatók és/vagy csoportok engedélyeinek beállításával. 
-  Ha egy kategória privát, az alkategóriák is privát kategóriává válnak. 
-  Ha egy kategória nyilvános, a szülő kategória is nyilvánossá válik.</dd>
+  <dd>Kezelheti a kiválasztott albumokhoz tartozó engedélyeket. 
+  Kiválaszthatja a privát albumokat : összefüggésben van a látogatók és/vagy csoportok engedélyeinek beállításával. 
+  Ha egy album privát, a belső albumok is privát albumokká válnak. 
+  Ha egy album nyilvános, a szülő album is nyilvánossá válik.</dd>
 
   <dt>Reprezentál</dt>
@@ -29,5 +29,5 @@
   <code>allow_random_representative</code> konfigurációs paramétere <em>true</em> (lásd <span
   class="filename">include/config_defaults.inc.php</span>). 
-  Minden kategória képviselő lehet véletlenszerű, vagy lehet egyedi (egy egyedi kép).</dd>
+  Minden album képviselő lehet véletlenszerű, vagy lehet egyedi (egy egyedi kép).</dd>
 
 </dl>
Index: trunk/language/hu_HU/help/help_groups.html
===================================================================
--- trunk/language/hu_HU/help/help_groups.html	(revision 7515)
+++ trunk/language/hu_HU/help/help_groups.html	(revision 7516)
@@ -8,3 +8,3 @@
 <p>Egy felhasználó több csoportba is tartozhat. Engedélyezése felülbírálja a tiltásokat : 
 ha a "jack" nevű felhasználó a "család" és "barátok" csoportba is tartozik és a 
-"Karácsony 2003" kategóriát a "család" csoport láthatja, akkor "jack" látni fogja a "Karácsony 2003" kategóriát.</p>
+"Karácsony 2003" albumot a "család" csoport láthatja, akkor "jack" látni fogja a "Karácsony 2003" albumot.</p>
Index: trunk/language/hu_HU/help/help_permissions.html
===================================================================
--- trunk/language/hu_HU/help/help_permissions.html	(revision 7515)
+++ trunk/language/hu_HU/help/help_permissions.html	(revision 7516)
@@ -20,5 +20,5 @@
 </ul>
 
-<p>Egy felhasználó akinek nincs jogosultsága a kategória tartalmának megtekintéséhez, nem látja sem a kategóriát, sem a kategória címét. Ugyanez az elv érvényes a címkére is.</p>
+<p>Egy felhasználó akinek nincs jogosultsága az album tartalmának megtekintéséhez, nem látja sem az albumot, sem az album címét. Ugyanez az elv érvényes a címkére is.</p>
 
 <p>Az egyes felhasználókhoz tartozó hozzáférési szint az <span class="pwgScreen">Adminisztráció &raquo; Felhasználók &raquo; Kezelés</span> lapon állítható be.</p>
@@ -27,15 +27,15 @@
 
 <fieldset>
-<legend>Jogosultságok a kategóriákhoz</legend>
+<legend>Jogosultságok az albumokhoz</legend>
 
-<p>Szabályozható a kategóriákhoz történő hozzáférés. A kategóriákhoz történő hozzáférés jogosultjainak kezeléséhez a kategória típusát "Privát" szintre kell váltani.</p>
+<p>Szabályozható az albumokhoz történő hozzáférés. Az albumokhoz történő hozzáférés jogosultjainak kezeléséhez az album típusát "Privát" szintre kell váltani.</p>
 
-<p>Egy kategória privát kategóriává történő módosítása elvégezhető a kategória szerkesztésével
-(<span class="pwgScreen">Adminisztráció &raquo; Kategóriák &raquo; Kezelés
-&raquo; javítás</span>), vagy a teljes kategória fa jogosultságainak beállításával
-(<span class="pwgScreen">Adminisztráció &raquo; Kategóriák &raquo;
+<p>Egy album privát albummá történő módosítása elvégezhető az album szerkesztésével
+(<span class="pwgScreen">Adminisztráció &raquo; Albumok &raquo; Kezelés
+&raquo; javítás</span>), vagy a teljes album fa jogosultságainak beállításával
+(<span class="pwgScreen">Adminisztráció &raquo; Albumok &raquo;
 Tulajdonságok &raquo; Nyilvános / Privát</span>).</p>
 
-<p>Amint egy kategória bekerül a privát kategóriák közé, három módja van a csoport és felhasználói engedélyek módosításának:</p>
+<p>Amint egy album bekerül a privát albumok közé, három módja van a csoport és felhasználói engedélyek módosításának:</p>
 
 <ul>
@@ -47,6 +47,6 @@
   Engedélyek</span> (soronként egy csoport)</li>
 
-  <li><span class="pwgScreen">Adminisztráció &raquo; Kategóriák &raquo; Kezelés &raquo; 
-  Engedélyek</span> (soronként egy kategória)</li>
+  <li><span class="pwgScreen">Adminisztráció &raquo; Albumok &raquo; Kezelés &raquo; 
+  Engedélyek</span> (soronként egy album)</li>
 
 </ul>
Index: trunk/language/hu_HU/help/help_user_upload.html
===================================================================
--- trunk/language/hu_HU/help/help_user_upload.html	(revision 7515)
+++ trunk/language/hu_HU/help/help_user_upload.html	(revision 7516)
@@ -3,9 +3,9 @@
 <ol>
 
-  <li>A képek feltöltésének engedélyezése bármely fizikai kategóriába az
-  (<span class="pwgScreen">Adminisztráció &raquo; Kategóriák &raquo; Kezelés
+  <li>A képek feltöltésének engedélyezése bármely fizikai albumba az
+  (<span class="pwgScreen">Adminisztráció &raquo; Albumok &raquo; Kezelés
   &raquo; javítás</span> vagy az <span class="pwgScreen">Adminisztráció &raquo;
-  Kategóriák &raquo; Tulajdonságok &raquo; Feltöltés</span>) útvonalon lehetséges. 
-  Virtuális kategóriába nincs lehetőség feltöltésre.</li>
+  Albumok &raquo; Tulajdonságok &raquo; Feltöltés</span>) útvonalon lehetséges. 
+  Virtuális albumba nincs lehetőség feltöltésre.</li>
 
   <li>Az érintett könyvtárakhoz írási jogosultságot kell adni.</li>
Index: trunk/language/hu_HU/help/help_virtual_links.html
===================================================================
--- trunk/language/hu_HU/help/help_virtual_links.html	(revision 7515)
+++ trunk/language/hu_HU/help/help_virtual_links.html	(revision 7516)
@@ -1,10 +1,10 @@
-<p>A képek a fájlkönyvárakkal megegyező kategóriákban jelennek meg.</p>
+<p>A képek a fájlkönyvárakkal megegyező albumokban jelennek meg.</p>
 
-<p>A képek több kategóriában is megjeleníthetők a fájl tárhelyen történő megkettőzése nélkül. 
-A képek kategóriákhoz történő társítására a képek szerkesztés oldalán van lehetőség 
+<p>A képek több albumban is megjeleníthetők a fájl tárhelyen történő megkettőzése nélkül. 
+A képek albumokhoz történő társítására a képek szerkesztés oldalán van lehetőség 
 (az adminisztrátor a képeket a "Galéria megtekintése" gomb segítségével érheti el).</p>
 
-<p>A megoldás a virtuális kategóriák rendszerén alapul, amennyiben nincs megfelelő kategória: 
-Virtuális kategóriák létrehozására az 
-<span class="pwgScreen">Adminisztráció &raquo; Kategóriák &raquo;
+<p>A megoldás a virtuális albumok rendszerén alapul, amennyiben nincs megfelelő album: 
+Virtuális albumok létrehozására az 
+<span class="pwgScreen">Adminisztráció &raquo; Albumok &raquo;
 Kezelés</span> útvonalon van lehetőség.</p>
Index: trunk/language/hu_HU/help/maintenance.html
===================================================================
--- trunk/language/hu_HU/help/maintenance.html	(revision 7515)
+++ trunk/language/hu_HU/help/maintenance.html	(revision 7516)
@@ -3,9 +3,9 @@
   <li>
     <strong>Nem kapcsolódó elemek:</strong>
-    Képek megjelenítése, melyek nem kapcsolódnak virtuális kategóriához.
+    Képek megjelenítése, melyek nem kapcsolódnak virtuális albumhoz.
   </li>
   <li>
-    <strong>Azonos nevű fájlok több fizikai kategóriában:</strong>
-    Képek vagy fájlok megjelenítése, melyekről bebizonyosodott, hogy azonos a fájlnevük az egyes kategóriákban.
+    <strong>Azonos nevű fájlok több fizikai albumban:</strong>
+    Képek vagy fájlok megjelenítése, melyekről bebizonyosodott, hogy azonos a fájlnevük az egyes albumokban.
   </li>
 
Index: trunk/language/hu_HU/help/permalinks.html
===================================================================
--- trunk/language/hu_HU/help/permalinks.html	(revision 7515)
+++ trunk/language/hu_HU/help/permalinks.html	(revision 7516)
@@ -1,7 +1,7 @@
 <h2>Közvetlen linkek</h2>
 
-<p>A közvetlen linkekkel keresőbarát, átlátható URL-ek állíthatók elő. Amikor egy kategóriához közvetlen linket rendelünk, az URL-ben  nincs szükség az ID, vagy egyéb nehezen megjegyezhető karaktersorozat megjelenítésére.</p>
+<p>A közvetlen linkekkel keresőbarát, átlátható URL-ek állíthatók elő. Amikor egy albumhoz közvetlen linket rendelünk, az URL-ben  nincs szükség az ID, vagy egyéb nehezen megjegyezhető karaktersorozat megjelenítésére.</p>
 
 <p>Ha egy közvetlen linket törlünk, lehetőségünk van menteni a közvetlen link előzményeket úgy, hogy a külső linkek továbbra is működnek a PWG lapokon. A közvetlen link előzmények táblában láthatja mikor töröltek egy közvetlen linket, illetve mikor használták utoljára, valamint azt is, hányszor használták a törlés óta.</p>
 
-<p>Ne feledje, hogy a kategóriákhoz rendelt közvetlen linkeknek egyedinek kell lenniük. Egy közvetlen linket nem lehet többször definiálni a közvetlen link előzményekben.</p>
+<p>Ne feledje, hogy az albumokhoz rendelt közvetlen linkeknek egyedinek kell lenniük. Egy közvetlen linket nem lehet többször definiálni a közvetlen link előzményekben.</p>
Index: trunk/language/hu_HU/help/photos_add_ftp.html
===================================================================
--- trunk/language/hu_HU/help/photos_add_ftp.html	(revision 7515)
+++ trunk/language/hu_HU/help/photos_add_ftp.html	(revision 7516)
@@ -14,5 +14,5 @@
 </ol>
 
-Gratulálunk, ezzel létrehoztad az első kategória képtárat.
+Gratulálunk, ezzel létrehoztad az első album képtárat.
 
 </fieldset>
@@ -25,5 +25,5 @@
   <li>
 
-    <p>A mappák és kategóriák listája a Piwigo "galeries" könyvtárban. 
+    <p>A mappák és albumok listája a Piwigo "galeries" könyvtárban. 
     Itt következik a könyvtárfa egy kis galériáról, (de számos funkcióval): </p>
   
@@ -64,5 +64,5 @@
   </li>
   
-<li>Minden új alkönyvtár a "galeries" könyvtárban létrehoz egy új kategóriát. A könyvtárak mélysége nincs korlátozva.
+<li>Minden új alkönyvtár a "galeries" könyvtárban létrehoz egy új albumot. A könyvtárak mélysége nincs korlátozva.
     A fenti példában a Kategorie-1.1.1.1 könyvtár 4 mélység szintű.</li>
 
@@ -86,5 +86,5 @@
 
   <li>Once files, thumbnails and representatives are correctly placed in the
-  directories, go to : <span class="pwgScreen">Adminisztráció &raquo; Kategóriák &raquo;
+  directories, go to : <span class="pwgScreen">Adminisztráció &raquo; Albumok &raquo;
   Szinkronizálás</span></li>
 
@@ -98,5 +98,5 @@
   <li>Minden képnek rendelkeznie kell egy hozzá tartozó bélyegképpel.</li>
 
-  <li>A bélyegképek a kategória könyvtár "thumbnail" alkönyvtárában kerülnek eltárolásra.
+  <li>A bélyegképek az album könyvtár "thumbnail" alkönyvtárában kerülnek eltárolásra.
    A bélyegkép neve megegyezik a kép fájlnevével, egy <em>TN-</em> előtaggal kiegészítve.</li>
 
@@ -106,5 +106,5 @@
   class="pwgScreen">Adminisztráció &raquo; Eszközök &raquo; Bélyegkép</span> oldalon, bélyegképek létrehozása.</li>
 
-  <li>Adj írási jogot az összes kategória könyvtárnak.</li>
+  <li>Adj írási jogot az összes album könyvtárnak.</li>
 
 </ul>
Index: trunk/language/hu_HU/help/search.html
===================================================================
--- trunk/language/hu_HU/help/search.html	(revision 7515)
+++ trunk/language/hu_HU/help/search.html	(revision 7516)
@@ -16,8 +16,8 @@
   Az utolsó mezőbe az évszámot kell beírnia a következő formában : 0000 (például 2004)</dd>
 
-  <dt>Keresés kategóriákban</dt>
-  <dd>Jelölje ki a kategóriát vagy kategóriákat, melyben keresni kíván. 
-  Kereshet az összes alkategóriában a szülő kategória kijelölésével, 
-  ha engedélyezi a keresést az alkategóriákban is.</dd>
+  <dt>Keresés albumokban</dt>
+  <dd>Jelölje ki az albumot vagy albumokat, melyben keresni kíván. 
+  Kereshet az összes belső albumban a szülő album kijelölésével, 
+  ha engedélyezi a keresést a belső albumokban is.</dd>
 
 </dl>
Index: trunk/language/hu_HU/help/synchronize.html
===================================================================
--- trunk/language/hu_HU/help/synchronize.html	(revision 7515)
+++ trunk/language/hu_HU/help/synchronize.html	(revision 7516)
@@ -10,3 +10,3 @@
 <p>A szinkronizálási folyamat hossza elhúzódhat, (a szükséges idő erősen függ a szerver 
 terhelésétől valamint az elemek számától) ezért lehetőség van a szinkronizálás 
-kategóriánkénti végrehajtására.</p>
+albumonkénti végrehajtására.</p>