Index: /extensions/meta/language/hu_HU/description.txt
===================================================================
--- /extensions/meta/language/hu_HU/description.txt	(revision 7532)
+++ /extensions/meta/language/hu_HU/description.txt	(revision 7532)
@@ -0,0 +1,1 @@
+Lehetővé teszi a metaadatok hozzáadását
Index: /extensions/meta/language/hu_HU/index.php
===================================================================
--- /extensions/meta/language/hu_HU/index.php	(revision 7532)
+++ /extensions/meta/language/hu_HU/index.php	(revision 7532)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/meta/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/meta/language/hu_HU/plugin.lang.php	(revision 7532)
+++ /extensions/meta/language/hu_HU/plugin.lang.php	(revision 7532)
@@ -0,0 +1,65 @@
+<?php
+
+//onglet gestion
+$lang['meta_onglet_gestion'] = 'Metaadatok';
+$lang['meta_desh3'] = 'Meta hozzáadása az összes oldalhoz';
+$lang['meta_name'] = 'Metaadat neve';
+$lang['meta_select'] = 'Módosítandó metaadat kiválasztása';
+$lang['meta_choix'] = 'Metaadat módosítása';
+$lang['meta_list'] = 'Metaadat :';
+$lang['meta_select2'] = 'Metaadat kiválasztása';
+$lang['meta_description'] = 'leírás';
+$lang['meta_diff_val'] = 'Lehetséges érték';
+$lang['meta_comp'] = 'Metaadat kiegészítése';
+$lang['meta_insmeta'] = 'Metaadat beszúrása';
+
+//onglet description categorie
+$lang['meta_onglet_categorie'] = 'Kategóriák metaadatai';
+$lang['meta_cath3'] = 'Kategória "kulcsszó" és "leírás" meta hozzáadása';
+$lang['meta_select3'] = 'Kategória kiválasztása';
+$lang['meta_selectcat'] = 'Kategória kiválasztása név alapján';
+$lang['meta_listcat'] = 'Kategória lista :';
+$lang['meta_choixcat'] = 'Kategóriák metaadatainak módosítása';
+$lang['meta_compcat'] = 'A kategóriához tartozó összes kulcsszó';
+$lang['meta_compcatdes'] = 'Kategória leírás cseréje';
+$lang['meta_compcatdeshelp'] = 'Lecseréli az összes leírást';
+$lang['meta_catdesact'] = 'Emlékeztetőül a kategória leírása';
+$lang['meta_inscat'] = 'Metaadat beszúrása';
+
+//onglet image
+$lang['meta_onglet_image'] = 'Képek metaadatai';
+$lang['meta_img'] = 'Kép "kulcsszó" és "leítás" meta hozzáadása';
+$lang['meta_selectimg'] = 'Kép kiválasztása név alapján';
+$lang['meta_listimg'] = 'Kép lista';
+$lang['meta_choiximg'] = 'Képek metaadatainak módosítása';
+$lang['meta_selecti3'] = 'Kép kiválasztása';
+$lang['meta_compimg'] = 'A képhez tartozó összes kulcsszó';
+$lang['meta_compimgdes'] = 'Kép leírás cseréje';
+$lang['meta_catdesimg'] = 'Emlékeztetőül a kép leírása';
+
+//onglet description
+$lang['meta_onglet_description'] = 'Metaadatok leírása';
+$lang['meta_author'] = 'Szerző meta leírása';
+$lang['meta_author_help'] = 'Információk a szerzőről <br>
+Tájékoztatást ad a szerzőről a weboldalon ';
+$lang['meta_keywords'] = 'Információk a meta kulcsszavakról';
+$lang['meta_keywords_help'] = '"Kulcsszó, kulcsszó, stb."<br>
+Tájékoztatást ad a kulcsszavakról a weboldalon. (Vesszővel elválasztva)';
+$lang['meta_Description'] = 'Leírás meta leírás';
+$lang['meta_Description_help'] = 'Webhely leírása<br>
+Lehetővé teszi a keresési eredményekben az információk megjelenését';
+$lang['meta_robots'] = 'Meta robotok leírása';
+$lang['meta_robots_help'] = '
+all : Engedélyezi a robotok tevékenységét az oldalon (az alapértelmezett)<br>
+follow : Lehetővé teszi a robotoknak, hogy kövessék az oldalon lévő linkeket<br>
+index : Lehetővé teszi a robotoknak, hogy indexeljék az oldalt<br>
+nofollow : Tiltja a robotoknak a linkek követését<br>
+noindex : Tiltja a robotoknak, hogy indexeljék az oldalt<br>
+none : Tiltja a robotoknak, hogy indexeljék a weboldalt<br>
+';
+
+//upgrade
+$lang['meta_maj'] = 'Frissítés';
+$lang['meta_majt'] = 'Frissítés sikeres<br>Kérjük kattintson a menüre a meta kezelő bővítményhez történő visszatéréshez';
+
+?>