Index: /extensions/ContactForm/include/cf_common.inc.php
===================================================================
--- /extensions/ContactForm/include/cf_common.inc.php	(revision 7534)
+++ /extensions/ContactForm/include/cf_common.inc.php	(revision 7535)
@@ -98,4 +98,6 @@
 	'pl_PL' => 'Formularz kontaktu',
 	'sk_SK' => 'Kontaktný formulár',
+	'ru_RU' => 'Контактная информация',
+	'tr_TR' => 'İletişim formu',
 );
 $cf_config_lang_keys['contact_form'] = array(
@@ -109,4 +111,6 @@
 	'pl_PL' => 'Kontakt',
 	'sk_SK' => 'Kontakt',
+	'ru_RU' => 'Контакты',
+	'tr_TR' => 'İletişim',
 ); 
 $cf_config_lang_keys['contact_form_link'] = array(
@@ -120,4 +124,6 @@
 	'pl_PL' => 'Kontakt do webmastera',
 	'sk_SK' => 'Kontaktovanie webmastera',
+	'ru_RU' => 'Contact webmaster',
+	'tr_TR' => 'İletişim- Site yöneticisi',
 );
 CF_Config_Lang::$default_keys = $cf_config_lang_keys;
Index: /extensions/ContactForm/language/ru_RU/description.txt
===================================================================
--- /extensions/ContactForm/language/ru_RU/description.txt	(revision 7535)
+++ /extensions/ContactForm/language/ru_RU/description.txt	(revision 7535)
@@ -0,0 +1,1 @@
+Добавляет в меню элемент "Контакты" с контактной информацией о пользователе
Index: /extensions/ContactForm/language/ru_RU/index.php
===================================================================
--- /extensions/ContactForm/language/ru_RU/index.php	(revision 7535)
+++ /extensions/ContactForm/language/ru_RU/index.php	(revision 7535)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/ContactForm/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/ru_RU/plugin.lang.php	(revision 7535)
+++ /extensions/ContactForm/language/ru_RU/plugin.lang.php	(revision 7535)
@@ -0,0 +1,90 @@
+<?php
+/* $Id$ */
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+global $lang;
+
+$lang['cf_plugin_name'] = 'Контактная информация';
+$lang['contact_form_debug'] = 'Показывать отладочные сообщения';
+
+// ==================================================================
+// Значения по умолчанию
+$lang['contact_form_title'] = 'Контактная информация';
+$lang['contact_form'] = 'Контакты';
+$lang['contact_form_link'] = 'Contact webmaster';
+
+// ==================================================================
+// Страница переадресации
+$lang['contact_redirect_title'] = 'Отсылать статус сообщения';
+
+// ==================================================================
+// Блок меню
+$lang['cf_from_name'] = 'Имя';
+$lang['cf_from_mail'] = 'e-mail';
+$lang['cf_subject'] = 'Тема';
+$lang['cf_message'] = 'Сообщение';
+$lang['cf_submit'] = 'Отправить';
+$lang['title_send_mail'] = 'Комментарий на странице';
+
+// ==================================================================
+// Сообщения
+$lang['cf_from_name_error'] = 'Пожалуйста, введите имя';
+$lang['cf_mail_format_error'] = $lang['reg_err_mail_address'];
+$lang['cf_subject_error'] = 'Пожалуйста, укажите тему сообщения';
+$lang['cf_message_error'] = 'Пожалуйста, введите сообщение';
+$lang['cf_error_sending_mail'] = 'Ошибка при отправке сообщения';
+$lang['cf_sending_mail_successful'] = 'Сообщение успешно отправлено';
+$lang['cf_form_error'] = 'Ошибка при подготовке сообщения к отправке';
+$lang['cf_inconsistent_version'] = '%s: несовместимая версия';
+$lang['cf_no_unlink'] = 'Функция \'unlink\' недоступна...';
+$lang['cf_unlink_errors'] = 'Ошибка при удалении файла';
+$lang['cf_config_saved'] = 'Настройки успешно сохранены';
+$lang['cf_config_saved_with_errors'] = 'Ошибка при сохранении настроек';
+$lang['cf_length_not_integer'] = 'Размер должен быть указан как целое число';
+$lang['cf_delay_not_integer'] = 'Задержка должна быть указана как целое число';
+$lang['cf_link_error'] = 'Значение переменной не может содержать пробелов';
+$lang['cf_hide'] = 'Скрыть';
+
+// ==================================================================
+// Страница администратора
+$lang['cf_validate'] = 'Отправить';
+// Вкладка "Настройки"
+$lang['cf_tab_config'] = 'Настройки';
+$lang['cf_config'] = 'Настройки';
+$lang['cf_config_desc'] = 'Настройки модуля';
+$lang['cf_label_config'] = 'Основные настройки';
+$lang['cf_label_mail'] = 'Настройки e-mail';
+$lang['cf_menu_link'] = 'Добавить ссылку в меню';
+$lang['cf_guest_allowed'] = 'Показывать форму гостевым пользователям';
+$lang['cf_mail_prefix'] = 'Префикс темы email';
+$lang['cf_separator'] = 'Символ(ы)-разделители в письме текстового формата';
+$lang['cf_separator_length'] = 'Ширина страницы';
+$lang['cf_mandatory_name'] = 'Имя обязательно';
+$lang['cf_mandatory_mail'] = 'Адрес email обязателен';
+$lang['cf_redirect_delay'] = 'Время задержки при перенаправлении';
+// Вкладка "E-mail"
+$lang['cf_tab_emails'] = 'E-mail';
+$lang['cf_emails'] = 'E-mail';
+$lang['cf_emails_desc'] = 'Получатели e-mail';
+$lang['cf_active'] = 'Активный адрес e-mail';
+$lang['cf_no_mail'] = 'Нет доступных адресов e-mail';
+$lang['cf_refresh'] = 'Сформировать список адресов e-mail снова';
+// Вкладка "Языки"
+$lang['cf_tab_language'] = 'Локализация';
+$lang['cf_language'] = 'Локализация';
+$lang['cf_language_desc'] = 'Перевод сообщений';
+$lang['cf_select_item'] = 'Выберите элементы для перевода';
+$lang['cf_default_lang'] = 'Язык по умолчанию';
+$lang['contact_form_title_label'] = 'Название элемента в меню';
+$lang['contact_form_label'] = 'Имя элемента в меню';
+$lang['contact_form_link_label'] = 'Текст метки контактной информации внизу страницы';
+// Вкладка "Журнал"
+$lang['cf_tab_history'] = 'Журнал';
+$lang['cf_history'] = 'Журнал';
+$lang['cf_history_desc'] = 'Описание';
+$lang['cf_history_date'] = 'Дата';
+$lang['cf_history_version'] = 'Версия';
+$lang['cf_history_log'] = 'Журнал изменений';
+$lang['cf_file_not_found'] = 'Файл не найден';
+$lang['cf_file_empty'] = 'Файл пуст';
+$lang['cf_format_date'] = '%M %D, %Y';
+?>