Index: /extensions/GMaps/gmaps_root.class.inc.php
===================================================================
--- /extensions/GMaps/gmaps_root.class.inc.php	(revision 7546)
+++ /extensions/GMaps/gmaps_root.class.inc.php	(revision 7547)
@@ -274,5 +274,5 @@
         {
           // if an kml file id is given, apply the url of the file (needs to give the complete URI for google)
-          if($row['kmlFileId']>0 and $row['kmlFileUrlId']!='') $row['kmlFileUrl']=dirname($_SERVER['SCRIPT_URI']).self::KML_DIRECTORY.$row['kmlFileUrlId'];
+          if($row['kmlFileId']>0 and $row['kmlFileUrlId']!='') $row['kmlFileUrl']=dirname($_SERVER['SCRIPT_URI']).self::KML_DIRECTORY.rawurlencode($row['kmlFileUrlId']);
 
           if($row['displayType']!='MP' and $mode==self::ID_MODE_CATEGORY)
Index: /extensions/GMaps/js/gmapsCategory.js
===================================================================
--- /extensions/GMaps/js/gmapsCategory.js	(revision 7546)
+++ /extensions/GMaps/js/gmapsCategory.js	(revision 7547)
@@ -366,5 +366,5 @@
     if(gmaps.geolocated)
     {
-      if(gmaps.maps[mapIndex].fitToBounds, mapIndex)
+      if(gmaps.maps[mapIndex].fitToBounds)
       {
         fitToBounds(gmaps.bounds, mapIndex);
@@ -404,7 +404,8 @@
 
     gmaps.maps[mapIndex].gMap.viewportInitialized=true;
-  }
-
-  if(mapIndex>-1) loadMarkers(gmaps.maps[mapIndex].gMap);
+    loadMarkers(gmaps.maps[mapIndex].gMap);
+  }
+
+
 }
 
Index: /extensions/GMaps/js/gmapsCategory.packed.js
===================================================================
--- /extensions/GMaps/js/gmapsCategory.packed.js	(revision 7546)
+++ /extensions/GMaps/js/gmapsCategory.packed.js	(revision 7547)
@@ -1,2 +1,2 @@
 /* file: gmapsCategory.js - v1.1.1 | packed on 2010/10/30 with http://joliclic.free.fr/php/javascript-packer/ */
-eval(function(p,a,c,k,e,d){e=function(c){return(c<a?'':e(parseInt(c/a)))+((c=c%a)>35?String.fromCharCode(c+29):c.toString(36))};if(!''.replace(/^/,String)){while(c--){d[e(c)]=k[c]||e(c)}k=[function(e){return d[e]}];e=function(){return'\\w+'};c=1};while(c--){if(k[c]){p=p.replace(new RegExp('\\b'+e(c)+'\\b','g'),k[c])}}return p}('u 13=[E,{w:32,h:32,x:15,y:31},{w:32,h:32,x:15,y:31},{w:32,h:32,x:10,y:31},{w:30,h:40,x:4,y:39},];9 2h(l,19){u 5=o j.3.2V($("#"+l.q).1W(0),{2U:\'#2Y\',33:l.2T,34:l.1q,2S:2.s.1R(),1G:(l.1G==-1)?v:z,2P:(l.1G==-1)?v:z,2r:(l.2r==\'n\')?v:z,2z:(l.2z==\'n\')?v:z,1P:(l.1P==-1)?v:z,3n:{1M:l.1P},3h:\'\',});8(l.2x!=\'\'){H=o j.3.3g(l.2x,{3m:z});H.29(5)}F{H=E}2B=/^3e(\\d\\d)38.*/i;C=2B.3a(l.S);8(C!=E)C=o 3b(C[1]);8(C!=E){5.S=o j.3.3d(\'1d/1w/2t/\'+l.S,o j.3.3c(13[C].w,13[C].h),o j.3.2o(0,0),o j.3.2o(13[C].x,13[C].y))}F{5.S=E}5.H=H;5.f=o 35();5.19=19;5.1B=v;5.T=0;l.k=5}9 1e(5){5.T++;1f={1r:2.1r,T:5.T,s:{2N:5.1i().2F().1N(),2L:5.1i().2F().1Q(),2I:5.1i().1X().1N(),2D:5.1i().1X().1Q()},16:$(5.1S()).16(),14:$(5.1S()).14(),2R:20,1o:5.19,};$(\'#1L\').p(\'m\',\'V-1t\');$(\'#1v\').K(\'\');$.2E({2f:"2J",2O:"1d/1w/2K.2M",2A:z,1k:{2m:"2n.3.2Q",1f:1f},2l:9(18){O=$.2Z(18);8(2.3[O.1o].k.T==O.T){O.f.3l(1Z);2e(2.3[O.1o].k,O.f);$(\'#1L\').p(\'m\',\'N\');$(\'#1v\').K(\'[\'+O.1f.36+\']\')}}})}9 2e(5,f){8(5.f.B>0){u i=0;3j(i<5.f.B){1K=1Y(5.f[i].I,f);8(1K==-1){5.f[i].g.29(E);5.f.2a(i,1)}F{f.2a(1K,1);i++}}}Z(u i=0;i<f.B;i++){u g=o j.3.3f({3k:o j.3.1J(f[i].1N,f[i].1Q),5:5,P:f[i].1s});8(5.S!=E)g.3i(5.S);g.D=f[i];g.D.r=0;5.f.2X({g:g,I:f[i].I});j.3.17.1n(g,\'2b\',9(){1V(11)});Z(u b=0;b<g.D.J.B;b++){2W(g.D.J[b].37(0)){21\'G\':g.D.J[b]=\'./3X/\'+g.D.J[b].22(1);23;21\'U\':g.D.J[b]=\'./3W/\'+g.D.J[b].22(1);23}}}}9 1Z(1z,1C){8(1z.I<1C.I){L(-1)}F 8(1z.I<1C.I){L(1)}L(0)}9 1Y(1U,1E){Z(u i=0;i<1E.B;i++){8(1E[i].I==1U)L(i)}L(-1)}9 1V(g){2.6=g.D;2.M.2g();2.M.2G($(\'#2C\').3Y().1T(1y).1W(0));2.M.1l(g.5,g);1j(2.6.r)}9 1y(i,e){8(e.q!=\'\')e.q=\'c\'+e.q;$(e).3Z().1T(1y)}9 1j(b){2.6.r=b;8(2.6.25[b]==\'\'){$(\'#24\').K(\'&41;\')}F{$(\'#24\').K(2.6.25[b])}$(\'#12\').1F(\'2u\',2.6.J[b]);$(\'#12\').2H();8(2.6.1a[b].B==1){$(\'#12\').1p(\'2b\',9(){1b.3V=2.6.1a[2.6.r][0]})}F{$(\'#2c\').K(\'\');Z(u i=0;i<2.6.1a[b].B;i++){$(\'#2c\').Y(\'<2d><a 1A="\'+2.6.1a[b][i]+\'">\'+2.6.3U[b][i]+\'</a></2d>\')}$(\'#12, #1x\').1p(\'3Q\',9(){$(\'#1x\').p(\'m\',\'1t\')}).1p(\'3P\',9(){$(\'#1x\').p(\'m\',\'N\')})}8(2.6.1u>1){$(\'#26\').K((b+1)+\'/\'+2.6.1s);$(\'#27, #28\').p(\'m\',\'V-1t\')}F{$(\'#26\').K(2.6.1s);$(\'#27, #28\').p(\'m\',\'N\')}}9 3R(){2.6.r--;8(2.6.r<0)2.6.r=2.6.1u-1;1j(2.6.r)}9 3S(){2.6.r++;8(2.6.r>=2.6.1u)2.6.r=0;1j(2.6.r)}9 W(s,7){2.3[7].k.3T(s);8(2.3[7].43&&2.3[7].k.44()>2.3[7].1q){2.3[7].k.49(2.3[7].1q)}}9 1O(1I,7){8(7>-1&&($(\'#\'+2.3[7].q+\'2p\').Q(\'4a\')&&1I==\'2k\'||1I==\'1l\')&&(2.3[7].k.1B==v)){j.3.17.3o(2.3[7].k,\'48\');$(\'#\'+2.3[7].q+\' t, #\'+2.3[7].q+\' a\').p(\'47-45\',\'46.0%\');8(2.2y){8(2.3[7].W,7){W(2.s,7)}F{2.3[7].k.42(2.s.1R())}}F{W(2.3[7].k.H.2v(),7)}j.3.17.1n(2.3[7].k,\'3N\',9(){1e(11);$(\'#1m\').p(\'m\',\'V\');$(\'#1g\').p(\'m\',\'V\')});j.3.17.1n(2.3[7].k,\'3O\',9(){1e(11);2.M.2g();$(\'#1m\').p(\'m\',\'V\');$(\'#1g\').p(\'m\',\'V\')});2.3[7].k.1B=z}8(7>-1)1e(2.3[7].k)}$(1b).3w(9(){2.6=E;2.s=o j.3.3x(o j.3.1J(2.s.2I,2.s.2D),o j.3.1J(2.s.2N,2.s.2L));2.M=o j.3.3y();j.3.17.1n(2.M,\'3z\',9(){$(\'3v\').Y($(\'#2C\'));2.M.2G(\'\');$(\'#12\').2H()});$.2E({2f:"2J",2O:"1d/1w/2K.2M",2A:z,1k:{2m:"2n.3.3u",3p:2.3r,3s:\'n\'},2l:9(18){2.1r=18;Z(u i=0;i<2.3.B;i++){1O(\'2k\',i)}}});Z(u i=0;i<2.3.B;i++){2h(2.3[i],i);8(2.3[i].3B==\'A\'){$(\'#\'+2.3[i].q).p({16:($(1b).16()*2.2i)+\'2j\',14:($(1b).14()*2.2i)+\'2j\'})}$(\'#\'+2.3[i].q+\'2p\').Q({3L:v,16:\'2q\',14:\'2q\',3M:z,3I:\'X\',3D:\'1h\',P:2.3[i].P,1l:9(){1O(\'1l\',$(11).1k(\'b\'))}}).1k(\'b\',i);8(2.2y){$(\'R.1h R.1c-Q-1D\').Y(\'<a 1A="#" q="1m" 1M="m:N;" 2w="W(2.s, \'+i+\'); $(11).p(\\\'m\\\', \\\'N\\\').2s(); L(v);">\'+\'<t>&3C;</t></a>\');$(\'#1m\').1F(\'P\',2.1H.3E)}8(2.3[i].k.H!=E){$(\'R.1h R.1c-Q-1D\').Y(\'<a 1A="#" q="1g" 2w="W(2.3[\'+i+\'].k.H.2v(), \'+i+\'); $(11).p(\\\'m\\\', \\\'N\\\').2s(); L(v);">\'+\'<t>&3G;</t></a>\');$(\'#1g\').1F(\'P\',2.1H.3F)}$(\'R.1h R.1c-Q-1D\').Y(\'<t q="1L" 1M="m:N;"><2t 2u="./1d/3H/3K/3J.3A"><t>\'+2.1H.3t+\'</t></t>\');$(\'#1c-Q-P-3q\').Y(\'<t q="1v"></t>\')}});',62,259,'||gmaps|maps||map|currentInfo|mapIndex|if|function||index||||markers|marker|||google|gMap|properties|display||new|css|id|displayed|bounds|span|var|false||||true||length|iM|info|null|else||kmlFile|uId|imgTn|html|return|infoWindow|none|tmp|title|dialog|div|markerImg|callId||inline|fitToBounds||append|for||this|ciGMIWC_img|markerImgProp|height||width|event|msg|gmapsIndex|imgCatsUrl|window|ui|plugins|loadMarkers|datas|gmapsBoundKml|gmapsPopup|getBounds|displayPictureInfo|data|open|gmapsBoundMap|addListener|loadIndex|bind|zoomLevel|requestId|nbImgTxt|block|nbImg|gmapsNbPhotos|GMaps|ciGMIWC_showcat|renameId|m1|href|viewportInitialized|m2|titlebar|markerList|attr|navigationControl|lang|mode|LatLng|newListIndex|gmapsLoading|style|lat|initializeMapViewport|mapTypeControl|lng|getCenter|getDiv|each|uniqueId|displayWindowInfo|get|getSouthWest|markerInList|compareMarkers||case|substr|break|ciGMIWC_title|imgName|ciGMIWC_picnum|ciWALeft|ciWARight|setMap|splice|click|ciGMIWC_showcatList|li|applyMarkers|type|close|createMap|popupAutomaticSize|px|loaded|success|ajaxfct|public|Point|Content|auto|scaleControl|blur|img|src|getDefaultViewport|onclick|kmlFileUrl|geolocated|streetViewControl|async|re|iGMapsInfoWindowContent|west|ajax|getNorthEast|setContent|unbind|south|POST|gmaps_ajax|east|php|north|url|scrollwheel|getMarkers|distanceTreshold|center|mapType|backgroundColor|Map|switch|push|ffffff|parseJSON||||mapTypeId|zoom|Array|nbPhotos|charAt|_||exec|Number|Size|MarkerImage|mS|Marker|KmlLayer|markerTitle|setIcon|while|position|sort|preserveViewport|mapTypeControlOptions|trigger|category|iGMapsIconContent|categoryId|mapId|loading|init|body|load|LatLngBounds|InfoWindow|closeclick|gif|sizeMode|there4|dialogClass|boundmap|boundkml|sim|GrumPluginClasses|closeText|processing|icons|autoOpen|modal|dragend|zoom_changed|mouseleave|mouseenter|displayPicturePrev|displayPictureNext|fitBounds|imgCatsNames|location|upload|galleries|clone|children||nbsp|setCenter|zoomLevelMaxActivated|getZoom|size|55|font|resize|setZoom|isOpen'.split('|'),0,{}))
+eval(function(p,a,c,k,e,d){e=function(c){return(c<a?'':e(parseInt(c/a)))+((c=c%a)>35?String.fromCharCode(c+29):c.toString(36))};if(!''.replace(/^/,String)){while(c--){d[e(c)]=k[c]||e(c)}k=[function(e){return d[e]}];e=function(){return'\\w+'};c=1};while(c--){if(k[c]){p=p.replace(new RegExp('\\b'+e(c)+'\\b','g'),k[c])}}return p}('u 16=[D,{w:32,h:32,x:15,y:31},{w:32,h:32,x:15,y:31},{w:32,h:32,x:10,y:31},{w:30,h:40,x:4,y:39},];8 2B(l,1m){u 5=o j.3.2Y($("#"+l.q).1U(0),{36:\'#2T\',2S:l.2R,3v:l.1A,3o:2.r.2A(),1F:(l.1F==-1)?v:z,3n:(l.1F==-1)?v:z,2f:(l.2f==\'n\')?v:z,2g:(l.2g==\'n\')?v:z,1q:(l.1q==-1)?v:z,3m:{1M:l.1q},3h:\'\',});9(l.2h!=\'\'){I=o j.3.3p(l.2h,{3i:z});I.2q(5)}C{I=D}2e=/^3j(\\d\\d)3k.*/i;B=2e.3g(l.Z);9(B!=D)B=o 3d(B[1]);9(B!=D){5.Z=o j.3.3e(\'1l/1B/2j/\'+l.Z,o j.3.3l(16[B].w,16[B].h),o j.3.2d(0,0),o j.3.2d(16[B].x,16[B].y))}C{5.Z=D}5.I=I;5.g=o 3u();5.1m=1m;5.1C=v;5.Q=0;l.k=5}8 1a(5){5.Q++;1f={1P:2.1P,Q:5.Q,r:{2D:5.1k().2a().1p(),2E:5.1k().2a().1o(),2I:5.1k().2b().1p(),2G:5.1k().2b().1o()},12:$(5.2c()).12(),13:$(5.2c()).13(),3c:20,1r:5.1m,};$(\'#1L\').m(\'p\',\'V-1D\');$(\'#1Q\').J(\'\');$.2y({2z:"2J",2L:"1l/1B/2O.1T",2N:z,1j:{2x:"2w.3.2P",1f:1f},2H:8(1b){M=$.2U(1b);9(2.3[M.1r].k.Q==M.Q){M.g.2Q(2l);2p(2.3[M.1r].k,M.g);$(\'#1L\').m(\'p\',\'O\');$(\'#1Q\').J(\'[\'+M.1f.38+\']\')}}})}8 2p(5,g){9(5.g.E>0){u i=0;35(i<5.g.E){1t=2s(5.g[i].H,g);9(1t==-1){5.g[i].f.2q(D);5.g.2r(i,1)}C{g.2r(1t,1);i++}}}P(u i=0;i<g.E;i++){u f=o j.3.3w({3t:o j.3.1s(g[i].1p,g[i].1o),5:5,S:g[i].1x});9(5.Z!=D)f.43(5.Z);f.F=g[i];f.F.s=0;5.g.44({f:f,H:g[i].H});j.3.14.19(f,\'26\',8(){2t(W)});P(u b=0;b<f.F.K.E;b++){41(f.F.K[b].3Z(0)){2o\'G\':f.F.K[b]=\'./3W/\'+f.F.K[b].2n(1);29;2o\'U\':f.F.K[b]=\'./46/\'+f.F.K[b].2n(1);29}}}}8 2l(1G,1u){9(1G.H<1u.H){L(-1)}C 9(1G.H<1u.H){L(1)}L(0)}8 2s(1S,1E){P(u i=0;i<1E.E;i++){9(1E[i].H==1S)L(i)}L(-1)}8 2t(f){2.6=f.F;2.N.2v();2.N.2u($(\'#2F\').48().1R(1w).1U(0));2.N.1i(f.5,f);1c(2.6.s)}8 1w(i,e){9(e.q!=\'\')e.q=\'c\'+e.q;$(e).49().1R(1w)}8 1c(b){2.6.s=b;9(2.6.28[b]==\'\'){$(\'#1W\').J(\'&3F;\')}C{$(\'#1W\').J(2.6.28[b])}$(\'#17\').1I(\'2i\',2.6.K[b]);$(\'#17\').2K();9(2.6.1n[b].E==1){$(\'#17\').1y(\'26\',8(){18.3C=2.6.1n[2.6.s][0]})}C{$(\'#27\').J(\'\');P(u i=0;i<2.6.1n[b].E;i++){$(\'#27\').T(\'<24><a 1N="\'+2.6.1n[b][i]+\'">\'+2.6.3z[b][i]+\'</a></24>\')}$(\'#17, #1z\').1y(\'3B\',8(){$(\'#1z\').m(\'p\',\'1D\')}).1y(\'3J\',8(){$(\'#1z\').m(\'p\',\'O\')})}9(2.6.1v>1){$(\'#23\').J((b+1)+\'/\'+2.6.1x);$(\'#1Z, #21\').m(\'p\',\'V-1D\')}C{$(\'#23\').J(2.6.1x);$(\'#1Z, #21\').m(\'p\',\'O\')}}8 3P(){2.6.s--;9(2.6.s<0)2.6.s=2.6.1v-1;1c(2.6.s)}8 3O(){2.6.s++;9(2.6.s>=2.6.1v)2.6.s=0;1c(2.6.s)}8 Y(r,7){2.3[7].k.3M(r);9(2.3[7].3N&&2.3[7].k.33()>2.3[7].1A){2.3[7].k.3L(2.3[7].1A)}}8 1J(1H,7){9(7>-1&&($(\'#\'+2.3[7].q+\'22\').R(\'3T\')&&1H==\'2C\'||1H==\'1i\')&&(2.3[7].k.1C==v)){j.3.14.3R(2.3[7].k,\'3A\');$(\'#\'+2.3[7].q+\' t, #\'+2.3[7].q+\' a\').m(\'3x-3y\',\'3D.0%\');9(2.1X){9(2.3[7].Y){Y(2.r,7)}C{2.3[7].k.3H(2.r.2A())}}C{Y(2.3[7].k.I.25(),7)}j.3.14.19(2.3[7].k,\'3U\',8(){1a(W);$(\'#1d\').m(\'p\',\'V\');$(\'#1e\').m(\'p\',\'V\')});j.3.14.19(2.3[7].k,\'4a\',8(){1a(W);2.N.2v();$(\'#1d\').m(\'p\',\'V\');$(\'#1e\').m(\'p\',\'V\')});2.3[7].k.1C=z;1a(2.3[7].k)}}$(18).45(8(){2.6=D;2.r=o j.3.3Y(o j.3.1s(2.r.2I,2.r.2G),o j.3.1s(2.r.2D,2.r.2E));2.N=o j.3.2Z();j.3.14.19(2.N,\'37\',8(){$(\'2W\').T($(\'#2F\'));2.N.2u(\'\');$(\'#17\').2K()});$.2y({2z:"2J",2L:"1l/1B/2O.1T",2N:z,1j:{2x:"2w.3.3a",34:2.2X,3G:\'n\'},2H:8(1b){2.1P=1b;P(u i=0;i<2.3.E;i++){1J(\'2C\',i)}}});P(u i=0;i<2.3.E;i++){2B(2.3[i],i);9(2.3[i].3V==\'A\'){$(\'#\'+2.3[i].q).m({12:($(18).12()*2.2M)+\'2k\',13:($(18).13()*2.2M)+\'2k\'})}$(\'#\'+2.3[i].q+\'22\').R({3K:v,12:\'1Y\',13:\'1Y\',3S:z,3Q:\'X\',3I:\'1h\',S:2.3[i].S,1i:8(){1J(\'1i\',$(W).1j(\'b\'))}}).1j(\'b\',i);9(2.1X){$(\'11.1h 11.1g-R-1K\').T(\'<a 1N="#" q="1d" 1M="p:O;" 1V="Y(2.r, \'+i+\'); $(W).m(\\\'p\\\', \\\'O\\\').2m(); L(v);">\'+\'<t>&3E;</t></a>\');$(\'#1d\').1I(\'S\',2.1O.47)}9(2.3[i].k.I!=D){$(\'11.1h 11.1g-R-1K\').T(\'<a 1N="#" q="1e" 1V="Y(2.3[\'+i+\'].k.I.25(), \'+i+\'); $(W).m(\\\'p\\\', \\\'O\\\').2m(); L(v);">\'+\'<t>&3X;</t></a>\');$(\'#1e\').1I(\'S\',2.1O.42)}$(\'11.1h 11.1g-R-1K\').T(\'<t q="1L" 1M="p:O;"><2j 2i="./1l/2V/3b/3q.3r"><t>\'+2.1O.3s+\'</t></t>\');$(\'#1g-R-S-3f\').T(\'<t q="1Q"></t>\')}});',62,259,'||gmaps|maps||map|currentInfo|mapIndex|function|if||index||||marker|markers|||google|gMap|properties|css||new|display|id|bounds|displayed|span|var|false||||true||iM|else|null|length|info||uId|kmlFile|html|imgTn|return|tmp|infoWindow|none|for|callId|dialog|title|append||inline|this||fitToBounds|markerImg||div|width|height|event||markerImgProp|ciGMIWC_img|window|addListener|loadMarkers|msg|displayPictureInfo|gmapsBoundMap|gmapsBoundKml|datas|ui|gmapsPopup|open|data|getBounds|plugins|gmapsIndex|imgCatsUrl|lng|lat|mapTypeControl|loadIndex|LatLng|newListIndex|m2|nbImg|renameId|nbImgTxt|bind|ciGMIWC_showcat|zoomLevel|GMaps|viewportInitialized|block|markerList|navigationControl|m1|mode|attr|initializeMapViewport|titlebar|gmapsLoading|style|href|lang|requestId|gmapsNbPhotos|each|uniqueId|php|get|onclick|ciGMIWC_title|geolocated|auto|ciWALeft||ciWARight|Content|ciGMIWC_picnum|li|getDefaultViewport|click|ciGMIWC_showcatList|imgName|break|getNorthEast|getSouthWest|getDiv|Point|re|scaleControl|streetViewControl|kmlFileUrl|src|img|px|compareMarkers|blur|substr|case|applyMarkers|setMap|splice|markerInList|displayWindowInfo|setContent|close|public|ajaxfct|ajax|type|getCenter|createMap|loaded|north|east|iGMapsInfoWindowContent|west|success|south|POST|unbind|url|popupAutomaticSize|async|gmaps_ajax|getMarkers|sort|mapType|mapTypeId|ffffff|parseJSON|GrumPluginClasses|body|categoryId|Map|InfoWindow||||getZoom|category|while|backgroundColor|closeclick|nbPhotos||init|icons|distanceTreshold|Number|MarkerImage|iGMapsIconContent|exec|markerTitle|preserveViewport|mS|_|Size|mapTypeControlOptions|scrollwheel|center|KmlLayer|processing|gif|loading|position|Array|zoom|Marker|font|size|imgCatsNames|resize|mouseenter|location|55|there4|nbsp|mapId|setCenter|dialogClass|mouseleave|autoOpen|setZoom|fitBounds|zoomLevelMaxActivated|displayPictureNext|displayPicturePrev|closeText|trigger|modal|isOpen|dragend|sizeMode|galleries|sim|LatLngBounds|charAt||switch|boundkml|setIcon|push|load|upload|boundmap|clone|children|zoom_changed'.split('|'),0,{}))
Index: /extensions/GMaps/main.inc.php
===================================================================
--- /extensions/GMaps/main.inc.php	(revision 7546)
+++ /extensions/GMaps/main.inc.php	(revision 7547)
@@ -61,5 +61,7 @@
 |         |            |   . add possibility to add maps in descriptions
 |         |            |
-|         |            |
+|         |            | * mantis bug:1985
+|         |            |   . KML/KMZ files with spaces in file name are not
+|         |            |     managed
 |         |            |
 |         |            |